Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.sessions
Class DefaultConnector

`java.lang.Object
oracle.toplink.sessions.DefaultConnector`

All Implemented Interfaces:
  java.lang.Cloneable, Connector, java.io.Serializable

Direct Known Subclasses:
  DirectConnector

public class DefaultConnector
extends java.lang.Object
implements Connector

Purpose:Use this Connector to build a java.sql.Connection in the "standard" fashion, via the DriverManager.

Since:
  TOPLink/Java 2.1
See Also:
  Serialized Form

Constructor Summary
`DefaultConnector()` PUBLIC: Construct a Connector with default settings (Sun JDBC-ODBC bridge).
`DefaultConnector(java.lang.String driverClassName, java.lang.String driverURLHeader, java.lang.String databaseURL)` PUBLIC: Construct a Connector with the specified settings.

Method Summary
`java.lang.String` | `getConnectionDetails()` PUBLIC: Provide the details of my connection information.
`java.lang.String` | `getConnectionString()` PUBLIC: Return the JDBC connection string.
`java.lang.String` | `getDatabaseURL()` PUBLIC: The database URL is the JDBC URL for the database server.
`java.lang.String` | `getDriverClassName()` PUBLIC: The driver class is the name of the Java class for the JDBC driver being used (e.g.
`java.lang.String` | `getDriverURLHeader()` PUBLIC: The driver URL header is the string predetermined by the JDBC driver to be part of the URL connection string, (e.g.
`void` | `setDatabaseURL(java.lang.String databaseURL)` PUBLIC: The database URL is the JDBC URL for the database server.
`void` | `setDriverClassName(java.lang.String driverClassName)` PUBLIC: The driver class is the name of the Java class for the JDBC driver being used (e.g.
`void` | `setDriverURLHeader(java.lang.String driverURLHeader)` PUBLIC: The driver URL header is the string predetermined by the JDBC driver to be part of the URL connection string, (e.g.
`java.lang.String` | `toString()` PUBLIC: Print connection string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultConnector

    public DefaultConnector()

  PUBLIC: Construct a Connector with default settings (Sun JDBC-ODBC bridge). The database URL will still need to be set.

### DefaultConnector

    public DefaultConnector(java.lang.String driverClassName,
                            java.lang.String driverURLHeader,
                            java.lang.String databaseURL)

  PUBLIC: Construct a Connector with the specified settings.

Method Detail

### getConnectionString

    public java.lang.String getConnectionString()

  PUBLIC: Return the JDBC connection string. This is a combination of the driver-specific URL header and the database URL.

### getConnectionDetails

    public java.lang.String getConnectionDetails()

  PUBLIC: Provide the details of my connection information. This is primarily for JMX runtime services.
  Specified by:
    `getConnectionDetails` in interface `Connector`
  Returns:
    java.lang.String

### getDatabaseURL

    public java.lang.String getDatabaseURL()

  PUBLIC: The database URL is the JDBC URL for the database server. The driver header is not be included in this URL (e.g. "dbase files"; not "jdbc:odbc:dbase files").

### getDriverClassName

    public java.lang.String getDriverClassName()

  PUBLIC: The driver class is the name of the Java class for the JDBC driver being used (e.g. "sun.jdbc.odbc.JdbcOdbcDriver").

### getDriverURLHeader

    public java.lang.String getDriverURLHeader()

  PUBLIC: The driver URL header is the string predetermined by the JDBC driver to be part of the URL connection string, (e.g. "jdbc:odbc:"). This is required to connect to the database.

### setDatabaseURL

    public void setDatabaseURL(java.lang.String databaseURL)

  PUBLIC: The database URL is the JDBC URL for the database server. The driver header is not be included in this URL (e.g. "dbase files"; not "jdbc:odbc:dbase files").

### setDriverClassName

    public void setDriverClassName(java.lang.String driverClassName)

  PUBLIC: The driver class is the name of the Java class for the JDBC driver being used (e.g. "sun.jdbc.odbc.JdbcOdbcDriver").

### setDriverURLHeader

    public void setDriverURLHeader(java.lang.String driverURLHeader)

  PUBLIC: The driver URL header is the string predetermined by the JDBC driver to be part of the URL connection string, (e.g. "jdbc:odbc:"). This is required to connect to the database.

### toString

    public java.lang.String toString()

  PUBLIC: Print connection string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD